FROM python:3.9

RUN curl -sfL $(curl -s https://api.github.com/repos/powerman/dockerize/releases/latest | grep -i /dockerize-$(uname -s)-$(uname -m)\" | cut -d\" -f4) | install /dev/stdin /usr/local/bin/dockerize


WORKDIR /app

COPY requirements.txt requirements.txt
RUN pip install -r requirements.txt
ADD src .

ENTRYPOINT [ "dockerize", "-wait", "amqp://rabbitmq:5672" ]

CMD [ "python", "-u", "src/read.py" ]